org.wso2.carbon.device.mgt.mobile.windows.api.common

## Class PluginConstants.SyncML

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.PluginConstants.SyncML

- Enclosing class:
    PluginConstants

      public final class PluginConstants.SyncML
      extends Object

  SynclML service related constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BATTERY_CHARGE_REMAINING`
    `static String` | `BATTERY_ESTIMATED_RUNTIME`
    `static String` | `BATTERY_QUERY`
    `static String` | `BATTERY_STATUS`
    `static String` | `DEV_ID`
    `static int` | `DEVICE_ID_POSITION`
    `static String` | `DEVICE_INFO`
    `static int` | `DEVICE_LANG_POSITION`
    `static int` | `DEVICE_MAN_POSITION`
    `static int` | `DEVICE_MOD_VER_POSITION`
    `static int` | `DEVICE_MODEL_POSITION`
    `static String` | `DEVICE_NAME`
    `static int` | `DEVICE_NAME_POSITION`
    `static String` | `DEVICE_TYPE`
    `static String` | `IMEI`
    `static int` | `IMEI_POSITION`
    `static String` | `IMSI`
    `static int` | `IMSI_POSITION`
    `static String` | `LANGUAGE`
    `static String` | `LATITUDE`
    `static String` | `LONGITUDE`
    `static String` | `MAC_ADDRESS`
    `static int` | `MAC_ADDRESS_POSITION`
    `static String` | `MANUFACTURER`
    `static String` | `MOBILE_ID`
    `static String` | `MODEL`
    `static int` | `MODEL_POSITION`
    `static String` | `OS_PLATFORM`
    `static String` | `OS_VERSION`
    `static int` | `OSVERSION_POSITION`
    `static String` | `RESOLUTION`
    `static int` | `RESOLUTION_POSITION`
    `static String` | `SOFTWARE_VERSION`
    `static String` | `SYNCML_CHAL`
    `static String` | `SYNCML_CMD`
    `static String` | `SYNCML_CMD_ID`
    `static String` | `SYNCML_CMD_REF`
    `static String` | `SYNCML_DATA`
    `static String` | `SYNCML_DATA_ONE`
    `static String` | `SYNCML_DATA_ZERO`
    `static int` | `SYNCML_FIRST_MESSAGE_ID`
    `static int` | `SYNCML_FIRST_SESSION_ID`
    `static String` | `SYNCML_LOCATION_URI`
    `static String` | `SYNCML_MESSAGE_REF`
    `static int` | `SYNCML_SECOND_MESSAGE_ID`
    `static int` | `SYNCML_SECOND_SESSION_ID`
    `static String` | `SYNCML_SOURCE`
    `static String` | `SYNCML_TARGET_REF`
    `static String` | `TOTAL_RAM`
    `static String` | `TOTAL_STORAGE`
    `static String` | `VENDOR`
    `static int` | `VENDOR_POSITION`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNCML_SOURCE

          public static final String SYNCML_SOURCE

      See Also:
        Constant Field Values

    - #### SYNCML_DATA

          public static final String SYNCML_DATA

      See Also:
        Constant Field Values

    - #### SYNCML_CMD

          public static final String SYNCML_CMD

      See Also:
        Constant Field Values

    - #### SYNCML_CHAL

          public static final String SYNCML_CHAL

      See Also:
        Constant Field Values

    - #### SYNCML_CMD_ID

          public static final String SYNCML_CMD_ID

      See Also:
        Constant Field Values

    - #### SYNCML_CMD_REF

          public static final String SYNCML_CMD_REF

      See Also:
        Constant Field Values

    - #### SYNCML_MESSAGE_REF

          public static final String SYNCML_MESSAGE_REF

      See Also:
        Constant Field Values

    - #### SYNCML_LOCATION_URI

          public static final String SYNCML_LOCATION_URI

      See Also:
        Constant Field Values

    - #### SYNCML_TARGET_REF

          public static final String SYNCML_TARGET_REF

      See Also:
        Constant Field Values

    - #### SYNCML_FIRST_MESSAGE_ID

          public static final int SYNCML_FIRST_MESSAGE_ID

      See Also:
        Constant Field Values

    - #### SYNCML_SECOND_MESSAGE_ID

          public static final int SYNCML_SECOND_MESSAGE_ID

      See Also:
        Constant Field Values

    - #### SYNCML_FIRST_SESSION_ID

          public static final int SYNCML_FIRST_SESSION_ID

      See Also:
        Constant Field Values

    - #### SYNCML_SECOND_SESSION_ID

          public static final int SYNCML_SECOND_SESSION_ID

      See Also:
        Constant Field Values

    - #### OSVERSION_POSITION

          public static final int OSVERSION_POSITION

      See Also:
        Constant Field Values

    - #### DEVICE_ID_POSITION

          public static final int DEVICE_ID_POSITION

      See Also:
        Constant Field Values

    - #### DEVICE_MODEL_POSITION

          public static final int DEVICE_MODEL_POSITION

      See Also:
        Constant Field Values

    - #### DEVICE_MAN_POSITION

          public static final int DEVICE_MAN_POSITION

      See Also:
        Constant Field Values

    - #### DEVICE_MOD_VER_POSITION

          public static final int DEVICE_MOD_VER_POSITION

      See Also:
        Constant Field Values

    - #### DEVICE_LANG_POSITION

          public static final int DEVICE_LANG_POSITION

      See Also:
        Constant Field Values

    - #### IMSI_POSITION

          public static final int IMSI_POSITION

      See Also:
        Constant Field Values

    - #### IMEI_POSITION

          public static final int IMEI_POSITION

      See Also:
        Constant Field Values

    - #### VENDOR_POSITION

          public static final int VENDOR_POSITION

      See Also:
        Constant Field Values

    - #### MODEL_POSITION

          public static final int MODEL_POSITION

      See Also:
        Constant Field Values

    - #### MAC_ADDRESS_POSITION

          public static final int MAC_ADDRESS_POSITION

      See Also:
        Constant Field Values

    - #### RESOLUTION_POSITION

          public static final int RESOLUTION_POSITION

      See Also:
        Constant Field Values

    - #### DEVICE_NAME_POSITION

          public static final int DEVICE_NAME_POSITION

      See Also:
        Constant Field Values

    - #### SYNCML_DATA_ONE

          public static final String SYNCML_DATA_ONE

      See Also:
        Constant Field Values

    - #### SYNCML_DATA_ZERO

          public static final String SYNCML_DATA_ZERO

      See Also:
        Constant Field Values

    - #### OS_VERSION

          public static final String OS_VERSION

      See Also:
        Constant Field Values

    - #### IMSI

          public static final String IMSI

      See Also:
        Constant Field Values

    - #### IMEI

          public static final String IMEI

      See Also:
        Constant Field Values

    - #### VENDOR

          public static final String VENDOR

      See Also:
        Constant Field Values

    - #### MODEL

          public static final String MODEL

      See Also:
        Constant Field Values

    - #### MAC_ADDRESS

          public static final String MAC_ADDRESS

      See Also:
        Constant Field Values

    - #### DEVICE_INFO

          public static final String DEVICE_INFO

      See Also:
        Constant Field Values

    - #### DEVICE_NAME

          public static final String DEVICE_NAME

      See Also:
        Constant Field Values

    - #### SOFTWARE_VERSION

          public static final String SOFTWARE_VERSION

      See Also:
        Constant Field Values

    - #### DEV_ID

          public static final String DEV_ID

      See Also:
        Constant Field Values

    - #### MANUFACTURER

          public static final String MANUFACTURER

      See Also:
        Constant Field Values

    - #### LANGUAGE

          public static final String LANGUAGE

      See Also:
        Constant Field Values

    - #### RESOLUTION

          public static final String RESOLUTION

      See Also:
        Constant Field Values

    - #### TOTAL_RAM

          public static final String TOTAL_RAM

      See Also:
        Constant Field Values

    - #### TOTAL_STORAGE

          public static final String TOTAL_STORAGE

      See Also:
        Constant Field Values

    - #### OS_PLATFORM

          public static final String OS_PLATFORM

      See Also:
        Constant Field Values

    - #### DEVICE_TYPE

          public static final String DEVICE_TYPE

      See Also:
        Constant Field Values

    - #### BATTERY_QUERY

          public static final String BATTERY_QUERY

      See Also:
        Constant Field Values

    - #### BATTERY_STATUS

          public static final String BATTERY_STATUS

      See Also:
        Constant Field Values

    - #### BATTERY_CHARGE_REMAINING

          public static final String BATTERY_CHARGE_REMAINING

      See Also:
        Constant Field Values

    - #### BATTERY_ESTIMATED_RUNTIME

          public static final String BATTERY_ESTIMATED_RUNTIME

      See Also:
        Constant Field Values

    - #### MOBILE_ID

          public static final String MOBILE_ID

      See Also:
        Constant Field Values

    - #### LONGITUDE

          public static final String LONGITUDE

      See Also:
        Constant Field Values

    - #### LATITUDE

          public static final String LATITUDE

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.